--package.cpath = [[d:\proyecto\bin\common\?.dll;]]..package.cpath

require "luarocks.require"
require "lunit"
local oo = require "loop.base"
require "LuaOrm.Mapper"
require "LuaOrm.Date"
require "LuaOrm.DBMS.DataSource"

require "alien"
require "luacom"

luacom.DateFormat = "table"

-- inicializamos COM
local ole32 = alien.core.load("ole32")
ole32.CoInitializeEx:types{abi = "stdcall", ret = "long", "pointer", "long"}
ole32.CoInitializeEx(nil, 0) -- COINIT_MULTITHREADED

local console = require "lunit-console"

require "dates"

-- eventos posibles:
-- begin, done, fail, err, run, pass

lunit.setrunner({
	fail = function(...)
		print(...)
	end,
	err = function(...)
		print(...)
	end,
})

console.begin()
lunit.run()
console.done()